org.apache.pdfbox.pdmodel.interactive.pagenavigation

## Enum PDTransitionDimension

- java.lang.Object
- - java.lang.Enum<PDTransitionDimension>
  - - org.apache.pdfbox.pdmodel.interactive.pagenavigation.PDTransitionDimension

All Implemented Interfaces:
  Serializable, Comparable<PDTransitionDimension>

    public enum PDTransitionDimension
    extends Enum<PDTransitionDimension>

The dimension in which the specified transition effect shall occur. Only for `PDTransitionStyle.Split` and `PDTransitionStyle.Blinds`.

Author:
  Andrea Vacondio

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`H` Horizontal
`V` Vertical

### Method Summary

All Methods Static Methods Concrete Methods
`static PDTransitionDimension` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDTransitionDimension[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### H

    public static final PDTransitionDimension H

Horizontal

#### V

    public static final PDTransitionDimension V

Vertical

### Method Detail

#### values

    public static PDTransitionDimension[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDTransitionDimension c : PDTransitionDimension.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDTransitionDimension valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null